Create customer wallet addresses
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "customer-id"
}
'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses"
payload = { "customer_id": "customer-id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_id: 'customer-id'})
};
fetch('https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"customer-id\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => 'customer-id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto wallet addresses created successfully.",
"data": [
{
"id": "address-id",
"customer_id": "customer-id",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET",
"type": "deposit",
"status": "SUCCESSFUL"
}
]
}Crypto
Create customer wallet addresses
Create static wallet addresses for one eligible business customer. Blaaiz creates an address for each active wallet network. Required scope: crypto-wallet:create.
POST
/
api
/
external
/
crypto
/
wallets
/
{walletId}
/
addresses
Create customer wallet addresses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The business crypto wallet ID.
Body
application/json
Create addresses for one business customer.
The ID of an eligible business customer.
Response
Crypto wallet addresses created successfully.
Was this page helpful?

